Subject: Re: linux-next: build warnings after merge of the akpm-current tree

From: Maxim Patlasov <[email-masked]>
Date: Thu, 29 Aug 2013 15:24:46 +0400

Hi Stephen,

08/29/2013 01:47 PM, Stephen Rothwell пишет:
> Hi Andrew,
>
> After merging the akpm tree, today's linux-next build (sparc64 defconfig
> and others) produced these warnings:
>
> mm/page-writeback.c: In function 'balance_dirty_pages_ratelimited':
> mm/page-writeback.c:1450:13: warning: 'bdi_thresh' may be used uninitialized in this function [-Wuninitialized]
> mm/page-writeback.c:1372:16: note: 'bdi_thresh' was declared here
> mm/page-writeback.c:1226:16: warning: 'bdi_dirty' may be used uninitialized in this function [-Wuninitialized]
> mm/page-writeback.c:1369:16: note: 'bdi_dirty' was declared here
>
> Possibly introduced by commit 34c547af1e23 ("mm/page-writeback.c: add
> strictlimit feature"), but I am not sure anything can be done about them.
>

This looks as gcc glitch. So far as I didn't observe the warnings, the 
version of gcc does matter. May be moving the definitions of the two 
variables into for(;;){...} would help. Could you please give it a try?

Thanks,
Maxim